Bug 1907896 - When a workload is added, Topology does not place the new items well
Summary: When a workload is added, Topology does not place the new items well
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Jeff Phillips
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-15 13:28 UTC by Jeff Phillips
Modified: 2021-02-24 15:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.7.0-0.nightly-2020-12-14-165231 Cluster ID: 78e6fdcd-d4a2-440d-83fd-8435a8dfcc93 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36
Last Closed: 2021-02-24 15:44:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7557 0 None closed Bug 1907896: Update PF React Topology for new item placement issue 2021-01-11 13:55:17 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:44:56 UTC

Description Jeff Phillips 2020-12-15 13:28:01 UTC
Description of problem:

The topology graph view does not place new workloads well. The items are centered in the graph and show on top of other existing workloads. The graph should adjust to accommodate the new items.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1. View a topology graph with workloads centered in the graph
2. From another instance or from the CLI, add a new workload

Actual results:

The viewed topology graph adds the new workload item centered and intersecting with existing items.

Expected results:

The topology graph adjusts and moves items slightly to accommodate the newly added item.

Additional info:

Comment 3 divgupta 2021-01-11 13:55:37 UTC
Verified this on -

Build: 4.7.0-0.nightly-2021-01-10-070949

Browsers: Chrome and Firefox

Marking this as done.

Comment 5 errata-xmlrpc 2021-02-24 15:44:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.